Amazon Linux 2 : thunderbird (ALAS-2020-1386)

high Nessus 插件 ID 133149
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Amazon Linux 2 主机缺少安全更新。

描述

纯文本序列化程序将固定大小的数组用作其可以处理 ol 元素的数量;但是,可能会使静态大小的数组溢出,从而导致内存损坏和潜在可利用的崩溃。此漏洞会影响 Thunderbird < 68.3、Firefox ESR < 68.3 和 Firefox < 71。(CVE-2019-17005) 特定条件下,在设备方向检查过程中检查拒绝指纹识别偏好时,存在的争用条件可能会造成释放后使用和潜在可利用的崩溃。此漏洞会影响 Thunderbird < 68.3、Firefox ESR < 68.3 和 Firefox < 71。(CVE-2019-17010) 使用嵌套式工作进程时,在工作进程析构过程中可能会发生释放后使用。这会导致潜在可利用的崩溃。此漏洞会影响 Thunderbird < 68.3、Firefox ESR < 68.3 和 Firefox < 71。(CVE-2019-17008) Mozilla 开发人员报告 Firefox 70 和 Firefox ESR 68.2 中存在内存安全错误。有迹象表明其中某些错误可导致内存损坏,我们推测若攻击者有意操控,就能利用其中部分错误来运行任意代码。此漏洞会影响 Thunderbird < 68.3、Firefox ESR < 68.3 和 Firefox < 71。(CVE-2019-17012) 特定条件下,从反追踪代码的 DocShell 中检索文档时,存在的争用条件可能会造成释放后使用的情况和潜在可利用的崩溃。此漏洞会影响 Thunderbird < 68.3、Firefox ESR < 68.3 和 Firefox < 71。(CVE-2019-17011)

解决方案

运行 'yum update thunderbird' 以更新系统。

另见

https://alas.aws.amazon.com/AL2/ALAS-2020-1386.html

插件详情

严重性: High

ID: 133149

文件名: al2_ALAS-2020-1386.nasl

版本: 1.3

类型: local

代理: unix

发布时间: 2020/1/22

最近更新时间: 2020/5/29

依存关系: ssh_get_info.nasl

风险信息

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 8.8

时间分数: 7.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:amazon:linux:thunderbird, p-cpe:/a:amazon:linux:thunderbird-debuginfo, cpe:/o:amazon:linux:2

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2020/1/17

漏洞发布日期: 2020/1/8

参考资料信息

CVE: CVE-2019-17005, CVE-2019-17008, CVE-2019-17010, CVE-2019-17011, CVE-2019-17012

ALAS: 2020-1386